darcs-2.8.4: a distributed, interactive, smart revision control system

Portability | portable
Stability | experimental
Maintainer | darcs-devel@darcs.net
Safe Haskell | None

Darcs.Patch.Merge

Description

Synopsis

- class Commute p => Merge p where
  - merge :: (p :\/: p) x y -> (p :/\: p) x y
- mergeFL :: Merge p => (p :\/: FL p) x y -> (FL p :/\: p) x y

# Documentation

class Commute p => Merge p where

Things that can always be merged

Methods

merge :: (p :\/: p) x y -> (p :/\: p) x y

Instances

Merge p => Merge (RL p) |
Merge p => Merge (FL p) |
PrimPatch prim => Merge (Patch prim) |
Merge p => Merge (Named p) |
Merge p => Merge (PatchInfoAnd p) |
Merge p => Merge (PatchChoice p) |
Merge p => Merge (TaggedPatch p) |
PrimPatch prim => Merge (RealPatch prim) |

mergeFL :: Merge p => (p :\/: FL p) x y -> (FL p :/\: p) x y